Name:          iptables
Version:       1.8.8
Release:       1mamba
Summary:       kernel libraries, user tools/libraries for netfilter/iptables firewalling
Group:         Network/Security
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.netfilter.org/
Source0:       https://www.netfilter.org/projects/iptables/files/iptables-%{version}.tar.bz2
Source1:       iptables-initscript
Source2:       iptables-nat.sh
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libmnl-devel
BuildRequires: libnetfilter_conntrack-devel
BuildRequires: libnfnetlink-devel
BuildRequires: libnftnl-devel
## AUTOBUILDREQ-END
BuildRequires: libnftnl-devel >= 1.0.9
Provides:      iptables-nat
Obsoletes:     iptables-nat
Provides:      ebtables
Obsoletes:     ebtables

%description
Iptables is the new firewalling code in the 2.4.x and 2.6.x linux kernels.
It provides a more extensible architecture for packet matching and manipulation by moving all but the lowest level into userspace libraries and kernel modules.

%package ipv6
Summary:       IPv6 support for iptables
Group:         Network/Security
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description ipv6
Iptables is the new firewalling code in the 2.4.x and 2.6.x linux kernels.
It provides a more extensible architecture for packet matching and manipulation by moving all but the lowest level into userspace libraries and kernel modules.

Install iptables-ipv6 if you need to set up firewalling for your network and you're using ipv6.
IPv6 is the next version of the IP protocol.

%package devel
Summary:       Header files needed for development with xtables
Group:         Network/Security
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-ipv6 = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Iptables is the new firewalling code in the 2.4.x and 2.6.x linux kernels.
It provides a more extensible architecture for packet matching and manipulation by moving all but the lowest level into userspace libraries and kernel modules.
This package contains the header files needed for development with xtables.

#%package nat
#Summary:       IPtables script that enables NAT functionality
#Group:         Network/Security
#Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

#%description nat
#This is a simple script that enables iptables NAT functionality from an interface marked as local in /etc/sysconfig/network-devices/ifconfig.*  using 
#the variable ZONE=local.

%debug_package

%prep
%setup -q

%build
%configure
#--sbindir=/sbin --bindir=/sbin

%ifarch arm
sed -i "/#define HAVE_LINUX_BPF_H/d" config.h
%endif

%make -j1 \
%if "%{_host}" != "%{_build}"
   CFLAGS="-ldl"
%endif

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

#install -D -m 755 %{S:1} %{buildroot}%{_initrddir}/iptables
#install -D -m 755 %{S:2} %{buildroot}%{_sbindir}/iptables-nat.sh

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post
# new install
if [ $1 -ge 1 ]; then
   /sbin/ldconfig
#   /sbin/chkconfig --add iptables
#   service iptables condrestart
fi
exit 0

%preun
#erase
if [ $1 -eq 0 ]; then
#   service iptables stop
   /sbin/chkconfig --del iptables
fi
exit 0

%posttrans
# clean old sysv broken links
find /etc/rc[0-6].d/ -type l -xtype l -exec rm -f {} \;   
:

#%post nat
#if [ $1 -eq 1 ]; then
#   /usr/sbin/iptables-nat.sh && \
#      /sbin/iptables-save > %{_sysconfdir}/sysconfig/iptables
#fi
#exit 0

%files
%defattr(-,root,root)
%{_sysconfdir}/ethertypes
%{_bindir}/iptables-xml
%{_sbindir}/arptables*
%{_sbindir}/ebtables*
%{_sbindir}/xtables-legacy-multi
%{_sbindir}/xtables-monitor
%{_sbindir}/xtables-nft-multi
%{_sbindir}/iptables
%{_sbindir}/iptables-*
%{_sbindir}/nfnl_osf
%dir %{_libdir}/xtables
%{_libdir}/xtables/libarpt_*.so
%{_libdir}/xtables/libebt_*.so
%{_libdir}/xtables/libxt_*.so
%{_libdir}/xtables/libipt_*.so
%{_libdir}/libxtables.so.*
#%{_libdir}/libiptc.so.*
%{_libdir}/libip4tc.so.*
%dir %{_datadir}/xtables
%{_datadir}/xtables/pf.os
%{_mandir}/man1/iptables-*.1*
%{_mandir}/man8/iptables.8*
%{_mandir}/man8/iptables-*.8*
%{_mandir}/man8/nfnl_osf.8*
%{_mandir}/man8/xtables-*.8*
%{_mandir}/man8/arptables-nft*.8*
%{_mandir}/man8/ebtables-nft.8*

%files ipv6
%defattr(-,root,root)
%{_sbindir}/ip6tables*
%{_libdir}/libip6tc.so.*
%{_libdir}/xtables/libip6t_*.so
%{_mandir}/man8/ip6tables.8*
%{_mandir}/man8/ip6tables-*.8*

%files devel
%defattr(-,root,root)
%{_includedir}/xtables-version.h
%{_includedir}/libiptc/*.h
#%{_libdir}/libiptc.la
#%{_libdir}/libiptc.so
%{_libdir}/libip4tc.la
%{_libdir}/libip4tc.so
%{_libdir}/libip6tc.la
%{_libdir}/libip6tc.so
%{_libdir}/libxtables.la
%{_libdir}/libxtables.so
%{_includedir}/xtables.h
%{_libdir}/pkgconfig/xtables.pc
%{_libdir}/pkgconfig/libiptc.pc
%{_libdir}/pkgconfig/libip4tc.pc
%{_libdir}/pkgconfig/libip6tc.pc

#%files nat
#%defattr(-,root,root)
#%{_sbindir}/iptables-nat.sh

%changelog
* Sat May 14 2022 Automatic Build System <autodist@mambasoft.it> 1.8.8-1mamba
- automatic version update by autodist

* Sat Jan 16 2021 Automatic Build System <autodist@mambasoft.it> 1.8.7-1mamba
- automatic version update by autodist

* Sat Oct 31 2020 Automatic Build System <autodist@mambasoft.it> 1.8.6-1mamba
- automatic version update by autodist

* Fri Jun 12 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.5-1mamba
- update to 1.8.5

* Wed Dec 11 2019 Automatic Build System <autodist@mambasoft.it> 1.8.4-1mamba
- automatic version update by autodist

* Sat Jul 06 2019 Automatic Build System <autodist@mambasoft.it> 1.8.3-1mamba
- automatic version update by autodist

* Wed Nov 14 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.2-2mamba
- provide and obsolete ebtables

* Wed Nov 14 2018 Automatic Build System <autodist@mambasoft.it> 1.8.2-1mamba
- automatic version update by autodist

* Sun Nov 11 2018 Automatic Build System <autodist@mambasoft.it> 1.8.1-1mamba
- automatic version update by autodist

* Sun Jul 29 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.0-1mamba
- update to 1.8.0

* Wed Feb 07 2018 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- automatic version update by autodist

* Fri Jul 21 2017 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Fri Jan 01 2016 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Fri Nov 22 2013 Automatic Build System <autodist@mambasoft.it> 1.4.21-1mamba
- automatic version update by autodist

* Tue Aug 13 2013 Automatic Build System <autodist@mambasoft.it> 1.4.20-1mamba
- automatic update by autodist

* Thu May 30 2013 Automatic Build System <autodist@mambasoft.it> 1.4.19.1-1mamba
- automatic version update by autodist

* Wed Mar 06 2013 Automatic Build System <autodist@mambasoft.it> 1.4.18-1mamba
- automatic version update by autodist

* Wed Dec 26 2012 Automatic Build System <autodist@mambasoft.it> 1.4.17-1mamba
- automatic version update by autodist

* Thu Oct 18 2012 Automatic Build System <autodist@mambasoft.it> 1.4.16.3-1mamba
- automatic version update by autodist

* Mon Oct 08 2012 Automatic Build System <autodist@mambasoft.it> 1.4.16.2-1mamba
- automatic version update by autodist

* Tue Jul 31 2012 Automatic Build System <autodist@mambasoft.it> 1.4.15-1mamba
- automatic version update by autodist

* Sun May 27 2012 Automatic Build System <autodist@mambasoft.it> 1.4.14-1mamba
- automatic version update by autodist

* Tue Mar 27 2012 Automatic Build System <autodist@mambasoft.it> 1.4.13-1mamba
- automatic version update by autodist

* Mon Jan 09 2012 Automatic Build System <autodist@mambasoft.it> 1.4.12.2-1mamba
- automatic version update by autodist

* Tue Nov 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.12.1-2mamba
- drop guarddog support in initscript
- don't enable service at startup by default

* Fri Sep 02 2011 Automatic Build System <autodist@mambasoft.it> 1.4.12.1-1mamba
- automatic version update by autodist

* Fri Jul 22 2011 Automatic Build System <autodist@mambasoft.it> 1.4.12-1mamba
- automatic update to 3.0.3.0 by autodist

* Tue Jun 14 2011 Automatic Build System <autodist@mambasoft.it> 1.4.11.1-1mamba
- automatic update by autodist

* Sat Oct 30 2010 Automatic Build System <autodist@mambasoft.it> 1.4.10-1mamba
- automatic update to 1.4.10 by autodist

* Sat Aug 07 2010 Automatic Build System <autodist@mambasoft.it> 1.4.9.1-1mamba
- automatic update to 1.4.9.1 by autodist

* Wed Aug 04 2010 Automatic Build System <autodist@mambasoft.it> 1.4.9-1mamba
- automatic update to 1.4.9 by autodist

* Fri May 21 2010 Automatic Build System <autodist@mambasoft.it> 1.4.8-1mamba
- automatic update to 1.4.8 by autodist

* Wed Mar 03 2010 Davide Madrisan <davide.madrisan@gmail.com> 1.4.7-1mamba
- update to 1.4.7

* Wed Dec 09 2009 Automatic Build System <autodist@mambasoft.it> 1.4.6-1mamba
- automatic update to 1.4.6 by autodist

* Fri Sep 25 2009 Automatic Build System <autodist@mambasoft.it> 1.4.5-1mamba
- automatic update to 1.4.5 by autodist

* Tue Jun 16 2009 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic update to 1.4.4 by autodist

* Mon Apr 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.3.2-1mamba
- automatic update to 1.4.3.2 by autodist

* Wed Mar 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.3.1-1mamba
- automatic update to 1.4.3.1 by autodist

* Tue Oct 21 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.2-1mamba
- update to 1.4.2
- initscript: fix condrestart check
- install initscript and iptables-nat.sh with read permissions for all

* Sat Sep 13 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.1.1-1mamba
- automatic update to 1.4.1.1 by autodist

* Wed Apr 30 2008 Aleph0 <aleph0@openmamba.org> 1.4.0-1mamba
- update to 1.4.0 (bugfixes and strong IPv6 support improvement)
- own %{_libdir}/iptables dir

* Mon Jul 02 2007 Aleph0 <aleph0@openmamba.org> 1.3.8-1mamba
- update to 1.3.8

* Mon Apr 16 2007 Davide Madrisan <davide.madrisan@gmail.com> 1.3.7-1mamba
- update to version 1.3.7 by autospec
- use service to run the initscript
- updated initscript

* Wed Oct 04 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.6-1qilnx
- update to version 1.3.6 by autospec

* Fri Feb 03 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.5-1qilnx
- update to version 1.3.5 by autospec

* Mon Nov 07 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.4-1qilnx
- update to version 1.3.4 by autospec

* Mon Aug 01 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.3-1qilnx
- update to version 1.3.3 by autospec

* Mon Jul 25 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.2-1qilnx
- update to version 1.3.2 by autospec

* Mon Apr 18 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.1-2qilnx
- changed initscript for Guarddog first time configurator execution

* Tue Mar 08 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.1-1qilnx
- update to version 1.3.1 by autospec

* Mon Feb 14 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.0-1qilnx
- update to version 1.3.0 by autospec

* Wed Nov 03 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.11-2qilnx
- security fix: QSA-2004-049 (CAN-2004-0986)

* Tue Jun 29 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.11.1qilnx
- new version rebuild

* Fri May 14 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.9-6qilnx
- iptables-nat.sh updated to use the new network-functions features

* Wed Mar 31 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.9-5qilnx
- fixed iptables-nat.sh when a dhcp interface has no IP address

* Tue Feb 03 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.9-4qilnx
- fixed iptables-nat.sh script 

* Mon Feb 02 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.9-3qilnx
- post scriptlet fixed

* Wed Nov 19 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.9-2qilnx
- added missing requirements for iptables-nat and iptables-ipv6

* Mon Nov 03 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.9-1qilnx
- rebuilt with version 1.2.9

* Fri Oct 31 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.8-9qilnx
- RPM specfile fixes/updates

* Fri Sep 19 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.8-8qilnx
- fixes in iptables-nat.sh script

* Fri Aug 15 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.2.8-7qilnx
- changed iptables-nat.sh script so that it works when a private interface
  doesn't have and ip address

* Wed Aug 06 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.2.8-6qilnx
- changed iptables-nat.sh script so that it uses new network-functions scripts

* Tue Jul 15 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.2.8-5qilnx
- fixed minor initscript problem (a lot of newlines after [OK])

* Thu Jun 26 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.2.8-4qilnx
- changed initscript sequence number to boot after network activation

* Mon Jun 23 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.2.8-3qilnx
- added guarddog aware configuration file

* Wed May 07 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.2.8-2qilnx
- added iptables-nat package

* Tue Apr 29 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it> 1.2.8-1qilnx
- creation of iptables package
